CREATE TABLE cst_i_sales_order_details (
    SELLING_LEGAL_ENTITY_ID           NUMBER(18, 0) ,
    RMA_REFERENCE_DOO_FLINE_ID        NUMBER(18, 0) ,
    DOO_ORDER_CURRENCY                VARCHAR2(60)  ,
    SELLING_ORG_ID                    NUMBER(18, 0)     NOT NULL,
    INVENTORY_ORGANIZATION_ID         NUMBER(18, 0)     NOT NULL,
    DOO_ORDER_HEADER_ID               NUMBER(18, 0) ,
    DOO_LINE_ID                       NUMBER(18, 0) ,
    DOO_UNIT_SELLING_PRICE            NUMBER        ,
    ROOT_PARENT_FULFILL_LINE_ID       NUMBER(18, 0) ,
    DOO_ORDER_NUMBER                  VARCHAR2(600) ,
    DOO_ORDERED_DATE                  TIMESTAMP(6)  ,
    INVENTORY_ITEM_ID                 NUMBER(18, 0)     NOT NULL,
    REFERENCED_DOO_FULFILL_LINE_ID    NUMBER(18, 0) ,
    PARENT_FULFILL_LINE_ID            NUMBER(18, 0) ,
    BILL_TO_CUSTOMER_ID               NUMBER(18, 0) ,
    SHIP_TO_CUSTOMER_ID               NUMBER(18, 0) ,
    CUSTOMER_ID                       NUMBER(18, 0) ,
    INV_TRANSACTION_ID                NUMBER(18, 0) ,
    SALES_REP_ID                      NUMBER(18, 0) ,
    DOO_LINE_NUMBER                   NUMBER(9, 0)  ,
    CONVERSION_RATE                   VARCHAR2(40)  ,
    CONVERSION_TYPE_CODE              VARCHAR2(120) ,
    CONVERSION_DATE                   DATE          ,
    EXTERNAL_SYSTEM_REFERENCE         VARCHAR2(240) ,
    EXTERNAL_SYSTEM_REF_ID            VARCHAR2(1800),
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    ORIGINAL_FULFILLMENT_LINE_ID      NUMBER(18, 0) ,
    SALES_ORDER_SHIPMENT_NUMBER       VARCHAR2(600) ,
    CUSTOMER_ACCOUNT_ID               NUMBER(18, 0) ,
    RECEIPT_ADVICE_NUMBER             VARCHAR2(320) ,
    INVENTORY_INTERFACED_FLAG         VARCHAR2(4)   ,
    BILL_TO_SITE_USE_ID               NUMBER(18, 0) ,
    SHIP_TO_PARTY_ID                  NUMBER(18, 0) ,
    SHIP_TO_PARTY_SITE_ID             NUMBER(18, 0) ,
    SOLD_TO_PARTY_ID                  NUMBER(18, 0) ,
    CURRENCY_CONVERSION_RATE          NUMBER        ,
    SELLING_LEGAL_ENTITY_ID           NUMBER(18, 0) ,
    DOO_ORDER_CURRENCY                VARCHAR2(60)  ,
    SELLING_ORG_ID                    NUMBER(18, 0)     NOT NULL,
    INVENTORY_ORGANIZATION_ID         NUMBER(18, 0)     NOT NULL,
    DOO_ORDER_HEADER_ID               NUMBER(18, 0) ,
    DOO_LINE_ID                       NUMBER(18, 0) ,
    DOO_UNIT_SELLING_PRICE            NUMBER        ,
    ROOT_PARENT_FULFILL_LINE_ID       NUMBER(18, 0) ,
    DOO_ORDER_NUMBER                  VARCHAR2(600) ,
    DOO_ORDERED_DATE                  TIMESTAMP(6)  ,
    INVENTORY_ITEM_ID                 NUMBER(18, 0)     NOT NULL,
    REFERENCED_DOO_FULFILL_LINE_ID    NUMBER(18, 0) ,
    PARENT_FULFILL_LINE_ID            NUMBER(18, 0) ,
    BILL_TO_CUSTOMER_ID               NUMBER(18, 0) ,
    SHIP_TO_CUSTOMER_ID               NUMBER(18, 0) ,
    CUSTOMER_ID                       NUMBER(18, 0) ,
    INV_TRANSACTION_ID                NUMBER(18, 0) ,
    SALES_REP_ID                      NUMBER(18, 0) ,
    DOO_LINE_NUMBER                   NUMBER(9, 0)  ,
    CONVERSION_RATE                   VARCHAR2(40)  ,
    CONVERSION_TYPE_CODE              VARCHAR2(120) ,
    CONVERSION_DATE                   DATE          ,
    EXTERNAL_SYSTEM_REFERENCE         VARCHAR2(240) ,
    EXTERNAL_SYSTEM_REF_ID            VARCHAR2(1800),
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    ORIGINAL_FULFILLMENT_LINE_ID      NUMBER(18, 0) ,
    SALES_ORDER_SHIPMENT_NUMBER       VARCHAR2(600) ,
    CUSTOMER_ACCOUNT_ID               NUMBER(18, 0) ,
    RECEIPT_ADVICE_NUMBER             VARCHAR2(320) ,
    RMA_REFERENCE_DOO_FLINE_ID        NUMBER(18, 0) ,
    INVENTORY_INTERFACED_FLAG         VARCHAR2(4)   ,
    BILL_TO_SITE_USE_ID               NUMBER(18, 0) ,
    SHIP_TO_PARTY_ID                  NUMBER(18, 0) ,
    SHIP_TO_PARTY_SITE_ID             NUMBER(18, 0) ,
    SOLD_TO_PARTY_ID                  NUMBER(18, 0) ,
    CURRENCY_CONVERSION_RATE          NUMBER        ,
    CONSTRAINT pk_cst_i_sales_order_details PRIMARY KEY (INV_TRANSACTION_ID, EXTERNAL_SYSTEM_REFERENCE, EXTERNAL_SYSTEM_REF_ID, INV_TRANSACTION_ID, EXTERNAL_SYSTEM_REFERENCE, EXTERNAL_SYSTEM_REF_ID)
);
